#!/bin/bash

startdir="$PWD"

namedir=`basename $PWD`

echo '*************************************'
echo ' '
echo './configure, then run example :'
echo ' '
./configure
cd example_programs
./demonstrateHiggsBounds_commandline.bat > temp_output.txt
echo 'Is there anything between here...'
grep 'hello' temp_output.txt
grep 'WARNING' temp_output.txt
rm temp_output.txt
echo '... and here'
cd ..
echo '*************************************'
echo ' '
echo 'make hyperclean :'
echo ' '
make hyperclean
echo ' '
echo '*************************************'
echo ' '
echo 'putting ./pubconfigure in the package...'
mv ./configure ../myconfigure
mv ./pubconfigure ./configure
echo ' '
echo '*************************************'
echo ' '
echo 'CHECK THAT INPUTMETHOD = DATFILE'
echo ' '
grep 'inputmethod=' HiggsBounds.F90
echo ' '
echo '*************************************'
echo ' '
echo 'CHECK THAT ESP = 2.0D-2'
echo ' '
grep 'eps=' S95tables.f90
echo ' '
echo '*************************************'
echo ' '
echo 'CHECK THAT deltaMh_TEV=10.0D0'
echo ' '
grep 'deltaMh_TEV=' S95tables.f90
echo ' '
echo '*************************************'
echo ' '
echo 'CHECK THAT deltaMh_LEP=2.0D0'
echo ' '
grep 'deltaMh_LEP=' S95tables.f90
echo ' '
echo '*************************************'
echo ' '
echo 'CHECK THAT debug=.False and '
echo '#define  DEBUGGING is commented out'
echo ' '
grep 'debug=' HiggsBounds_subroutines.F90
grep '#define  DEBUGGING' HiggsBounds.F90
echo ' '
echo '*************************************'
echo ' '
echo 'create ../'$namedir'.tar.gz :'
echo ' '
cd ..
tar czf "$namedir".tar.gz $namedir
cd $namedir
echo ' '
echo '*************************************'
echo ' '
echo 'putting ./myconfigure back...'
mv ./configure ./pubconfigure
mv ../myconfigure ./configure
echo ' '
echo 'finished'
echo ' '
echo '*************************************'
