! This file is part of HiggsBounds
!  -KW
!******************************************************************
module extra_bits_for_SLHA
!******************************************************************

 contains
	
 !************************************************************	
 subroutine getSLHAdata(j,d,tR,infile)
 ! At the moment, this is not a supported part of HiggsBounds
 !(if you would find this useful, drop us an email and we'll
 ! put this feature higher on out priority list)
 !************************************************************ 
  use usefulbits, only : dataset,tevextras,n_additional
  implicit none
  !--------------------------------------input
  type(dataset) :: d
  type(tevextras) :: tR		
  character(len=80) :: infile
  !-----------------------------------internal
  integer :: j
  character(LEN=10) :: jchar
  character(len=80) :: argv
  double precision :: notvalid
  !-------------------------------------------        	

  write(jchar,'(I10)')j  
       
  argv=TRIM(infile)//TRIM(adjustl(jchar))//'.txt'  
  
  call readSLHAdata(d%additional,n_additional,d%Mh, &
                &   d%Gammatot,d%BR_hjWW,d%BR_hjZZ,d%BR_hjbb, &
		&   d%BR_hjtautau,d%BR_hjhihi,d%BR_hjgaga,d%BR_hjgg,argv,notvalid)
  
  if(minval(d%Mh).lt.(notvalid+1.0D-4)) stop 'missing slha data (1)'  
  if(minval(d%Gammatot).le.0.0D0) stop 'missing slha data (2)'  ! implies decay block is missing  
   
  if(min( minval(d%Mh), minval(d%Gammatot), minval(d%BR_hjWW), minval(d%BR_hjZZ), &
      &   minval(d%BR_hjbb), minval(d%BR_hjgg) &
      & ).le.(0.0D0)) then
    write(*,*) 'Note: Check input data. If any branching ratios which are used for effective'     
    write(*,*) 'couplings (ZZ,WW,gg,bb) are zero due to kinematic reasons, this approximation'
    write(*,*) 'fails.'
  endif          
   
  write(*,*)'additional(1)',d%additional(1)
  write(*,*)'additional(2)',d%additional(2)
  write(*,*)'Mh',d%Mh
  write(*,*)'Gammatot',d%Gammatot
  write(*,*)'BR_hjWW',d%BR_hjWW
  write(*,*)'BR_hjZZ',d%BR_hjZZ
  write(*,*)'BR_hjbb',d%BR_hjbb
  write(*,*)'BR_hjtautau',d%BR_hjtautau
  write(*,*)'BR_hjhihi',d%BR_hjhihi
  write(*,*)'BR_hjgaga',d%BR_hjgaga
  write(*,*)'BR_hjgg',d%BR_hjgg

 end subroutine getSLHAdata
 !************************************************************ 
end module extra_bits_for_SLHA
!******************************************************************
